<?php
if (!defined('WPINC')) {
    die();
}

$default_class = 'estatebud-text-field';

if (isset($extra_class) && !empty($extra_class)) {
    $default_class .= ' ' . $extra_class;
}
?>
<input type="text" value="<?php echo esc_attr($value ?? ''); ?>" class="<?php echo esc_attr($default_class); ?>" name="<?php echo esc_attr($variable_name ?? ''); ?>" placeholder="<?php echo isset($placeholder) ? esc_attr($placeholder) : ''; ?>"<?php echo isset($readonly) && $readonly ? ' readonly' : ''; ?>/>